Subject: bug#52831: closed (Re: bug#52831: [installer] Locale problems with nss-certs)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Dec 2021 19:35:02 +0000

Your bug report

#52831: [installer] Locale problems with nss-certs

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52831: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52831
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52831: [installer] Locale problems with nss-certs
From: Mathieu Othacehe <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: [email-masked]
Date: Thu, 30 Dec 2021 20:34:13 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

> Great, with your latest patch all seems to work well.
>
> The plan is to use wip-harden-installer for the release, right?

Yup, that's the plan :) In the meantime, I think we can close this one.

Thanks,

Mathieu

Subject: [installer] Locale problems with nss-certs
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Mon, 27 Dec 2021 14:52:31 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

While testing the Guix System installer, I noticed that installation of
nss-certs has some problems that seem related to locales.

Some of the certificate's filenames are encoded in a way that isn't
supported by the environment in which they are being handled, and so
these certificates are not installed into the new system.

I've attached a screenshot of the error messages in the installer. The
problematic certificates are listed there.